//
//  The IMAGERESOLVER Class
//
// Although Javascript does not support private members, you shouldn't
// access any of the member variables.  Instead, you should use the
// methods provided.
//
// getUrl(feedName)
//    this will translate the feed name (e.g., '05c.bmp')
//    into the proper URL for that image.  Sometimes, this will be a
//    chrome:// url for those images that are distributed with the distribution
//    and other times, it will be an http:// url
//
// $Id: class_ImageResolver.js,v 1.3 2004/10/08 05:49:20 dviner Exp $

function ImageResolver()
{
    this.defaultYahooBase = "http://us.i1.yimg.com/us.yimg.com/i/tb/icons/";
    this.map = new Object();
    // add a whole bunch of stuff now
    this.init();
}

ImageResolver.prototype.getUrl = function(pszFeedImageName)
{
    if(typeof this.map[pszFeedImageName] == "undefined")
    {
        // we don't have this one..
        // so use our default
        return this.defaultYahooBase + pszFeedImageName;
    }
    else
    {
        // we have one...
        return this.map[pszFeedImageName];
    }
}


ImageResolver.prototype.addMapping = function(pszFeedName,pszRealUrl)
{
    this.map[pszFeedName] = pszRealUrl;
}

ImageResolver.prototype.init = function()
{

    //
    //   IMAGES WITH NUMERIC NAMES
    //    
    
    // the My Yahoo image
    this.addMapping("01c.bmp", "chrome://yahootoolbar/content/icons/01c.gif");

    // the Mail image
    this.addMapping("02c.bmp","chrome://yahootoolbar/content/icons/02c.gif");

    // the Calendar image
    this.addMapping("03c.bmp", "chrome://yahootoolbar/content/icons/03c.gif");

    // the Address Book image
    this.addMapping("04c.bmp", "chrome://yahootoolbar/content/icons/04c.gif");

    // the Mail image
    this.addMapping("05c.bmp", "chrome://yahootoolbar/content/icons/05c.gif");

    // unused
    this.addMapping("06c.bmp", "");
  
    // the News image
    this.addMapping("07c.bmp", "chrome://yahootoolbar/content/icons/07c.gif");

    // the Sports image
    this.addMapping("08c.bmp", "chrome://yahootoolbar/content/icons/08c.gif");

    // the Weather image
    this.addMapping("09c.bmp", "chrome://yahootoolbar/content/icons/09c.gif");

    // the Finance image
    this.addMapping("10c.bmp", "chrome://yahootoolbar/content/icons/10c.gif");

    // the Shopping image
    this.addMapping("11c.bmp", "chrome://yahootoolbar/content/icons/11c.gif");

    // the Movies image
    this.addMapping("16c.bmp", "chrome://yahootoolbar/content/icons/16c.gif");

    // the TV image
    this.addMapping("17c.bmp", "chrome://yahootoolbar/content/icons/17c.gif");

    // the Music image
    this.addMapping("18c.bmp", "chrome://yahootoolbar/content/icons/18c.gif");

    // the Games image
    this.addMapping("19c.bmp", "chrome://yahootoolbar/content/icons/19c.gif");

    // unused
    this.addMapping("23c.bmp", "");

    // the Yellow Pages image
    this.addMapping("25c.bmp", "chrome://yahootoolbar/content/icons/25c.gif");

    // the Maps image
    this.addMapping("27c.bmp", "chrome://yahootoolbar/content/icons/27c.gif");

    // the Travel image
    this.addMapping("30c.bmp", "chrome://yahootoolbar/content/icons/30c.gif");

    // the Briefcase image
    this.addMapping("36c.bmp", "chrome://yahootoolbar/content/icons/36c.gif");

    // the Mobile image
    this.addMapping("43c.bmp", "chrome://yahootoolbar/content/icons/43c.gif");

    // the Entertainment image
    this.addMapping("44c.bmp", "chrome://yahootoolbar/content/icons/44c.gif");

    // the Notepad image
    this.addMapping("46c.bmp", "chrome://yahootoolbar/content/icons/46c.gif");

    // the Logout image
    this.addMapping("48c.bmp", "chrome://yahootoolbar/content/icons/48c.gif");

    // the Messenger image
    this.addMapping("50c.bmp", "chrome://yahootoolbar/content/icons/50c.gif");

    // the Personals image
    this.addMapping("52c.bmp", "chrome://yahootoolbar/content/icons/52c.gif");

    // the Photos image
    this.addMapping("53c.bmp", "chrome://yahootoolbar/content/icons/53c.gif");

    // the Auctions image 
    this.addMapping("54c.bmp", "chrome://yahootoolbar/content/icons/54c.gif");

    //
    //   IMAGES WITH ALPHABETICAL NAMES
    //

    // the Ad Bigsales image 
    this.addMapping("ad_bigsale.bmp", "chrome://yahootoolbar/content/icons/ad_bigsale.gif");

    // the Mail notification bell
    this.addMapping("alert","chrome://yahootoolbar/content/icons/bell.gif");
    
    // the Horoscope image  
    this.addMapping("ar_59c.bmp", "chrome://yahootoolbar/content/icons/ar_59c.gif");
 
    // the CBB image  
    this.addMapping("cbb.bmp", "chrome://yahootoolbar/content/icons/cbb.gif");
    
    // the Yahoo! Folder image
    this.addMapping("dir.bmp", "chrome://yahootoolbar/content/icons/dir.gif");
 
    // the Fifa image 
    this.addMapping("fifa2.bmp", "chrome://yahootoolbar/content/icons/fifa2.gif");
    
    // Finance images... not sure if these are right
    this.addMapping("fin_inv.bmp", "chrome://yahootoolbar/content/icons/fin_inv.gif");
    this.addMapping("fin_my.bmp", "chrome://yahootoolbar/content/icons/fin_my.gif");
    this.addMapping("fin_per.bmp", "chrome://yahootoolbar/content/icons/fin_per.gif");
    this.addMapping("fin_ref.bmp", "chrome://yahootoolbar/content/icons/fin_ref.gif");
    
    // the Y logo
    this.addMapping("logo","chrome://yahootoolbar/content/icons/y.gif");
    
    // the MLB  image 
    this.addMapping("mlb.bmp", "chrome://yahootoolbar/content/icons/mlb.gif");

    // the German Movies image  
    this.addMapping("mov_de.bmp", "chrome://yahootoolbar/content/icons/mov_de.gif");
 
    // the NFL image 
    this.addMapping("nfl.bmp", "chrome://yahootoolbar/content/icons/nfl.gif");

    // the NBA image  
    this.addMapping("nba.bmp", "chrome://yahootoolbar/content/icons/nba.gif");

    // the options menu
    this.addMapping("option","chrome://yahootoolbar/content/icons/setti.gif");
    
    // the pub_s2 image 
    this.addMapping("pub_s2.bmp","chrome://yahootoolbar/content/icons/pub_s2.gif");

    // the qsbm image 
    this.addMapping("qsbm.bmp", "chrome://yahootoolbar/content/icons/qsbm.gif");

    // the qsim image 
    this.addMapping("qsim.bmp", "chrome://yahootoolbar/content/icons/qsim.gif");

    // the qsy image 
    this.addMapping("qsy.bmp", "chrome://yahootoolbar/content/icons/qsy.gif");

    // the qsyma image 
    this.addMapping("qsyma.bmp", "chrome://yahootoolbar/content/icons/qsyma.gif");

    // the Search Highlight image 
    this.addMapping("srch_hi.bmp", "chrome://yahootoolbar/content/icons/srch_hi.gif");

    // the search magnifying glass
    this.addMapping("stoggle","chrome://yahootoolbar/content/icons/mglass.gif");
    
    // the SWI image 
    this.addMapping("swi.bmp", "chrome://yahootoolbar/content/icons/swi.gif");
 
    // the Search image  
    this.addMapping("tb_srch.bmp", "chrome://yahootoolbar/content/icons/tb_srch.gif");
  
    // the Y! image
    this.addMapping("tot.bmp","chrome://yahootoolbar/content/icons/tot.gif");
    
    // the Travel image (2nd)
    this.addMapping("tra.bmp", "chrome://yahootoolbar/content/icons/tra.gif");

    // vertical separator
    this.addMapping("vsep","");
    
    // new mail image
    this.addMapping("yma1.bmp", "chrome://yahootoolbar/content/icons/yma1.gif");
}

